> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a specific price adjustment information for a cart item

> Update a specific price adjustment entity from the list of price adjustments made to a particular line item in a given cart. A price adjustment entity refers to a single object in the price adjustments array.



## OpenAPI

````yaml cart.openapi put /v3/carts/{cartId}/line-items/{lineItemId}/adjustments/{adjustmentId}
openapi: 3.0.1
info:
  title: Cart
  description: >-
    fabric's **Cart API** lets you add, update, and remove items from your
    Storefront cart, either as a guest user or as a logged-in user. It also
    provides functionality to merge carts when you switch from guest user to
    logged-in user, and apply coupons and other attributes (for example, gift
    wrapping) to the line items. Additionally, the API supports more advanced
    tasks such as using multiple carts within a B2B organization, sharing carts,
    and supporting a unified cart experience for multi-region and multi-brand
    businesses. The Cart API provides high performance, scalability,
    multi-tenancy, and configurability to the end-to-end order processing
    actions that start from an item being added to the cart; through the
    pre-checkout stage that includes billing, shipping, and payment details; to
    the checkout stage where the order is processed and confirmed by fabric's
    Order Management System (OMS).
  version: 3.0.0
  x-audience: external-public
  contact:
    name: Cart Support
    email: support.cnc@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
servers:
  - url: https://api.fabric.inc/v3
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Carts
    description: >-
      Carts endpoints let you perform basic cart operations, including finding,
      creating, updating, and merging carts. You can also apply or remove a
      promotion code to or from a cart.
  - name: Line Items
    description: >-
      Line Items endpoints let you perform basic line item operations, including
      creating, updating, and deleting line items in a cart. You can also get
      and update line item attributes and shipping details.
  - name: Shipping Details
    description: >-
      Shipping details endpoints let you get, create, and update cart shipping
      details.
  - name: Adjustments
    description: >-
      Using these endpoints, you can make adjustments to a cart or line items in
      a cart.
externalDocs:
  description: Find out more about Cart
  url: https://developer.fabric.inc/v3/reference/cart-getting-started
paths:
  /v3/carts/{cartId}/line-items/{lineItemId}/adjustments/{adjustmentId}:
    put:
      tags:
        - Adjustments
      summary: Update a specific price adjustment information for a cart item
      description: >-
        Update a specific price adjustment entity from the list of price
        adjustments made to a particular line item in a given cart. A price
        adjustment entity refers to a single object in the price adjustments
        array.
      operationId: updatePriceAdjustments
      parameters:
        - $ref: '#/components/parameters/cartId'
        - $ref: '#/components/parameters/lineItemId'
        - $ref: '#/components/parameters/adjustmentId'
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xFabricRequestId'
      requestBody:
        description: Sample request containing price adjustment details to be updated.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/priceAdjustmentPayload'
        required: true
      responses:
        '200':
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/priceAdjustment'
        '400':
          description: Client error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error400'
        '401':
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error401'
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/cartNotFound'
                  - $ref: '#/components/schemas/lineItemNotFound'
                  - $ref: '#/components/schemas/adjustmentNotFound'
          description: Not found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
        '500':
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error500'
components:
  parameters:
    cartId:
      name: cartId
      in: path
      description: Cart ID
      required: true
      schema:
        type: string
        example: b8a64b52-dab4-8137-8d6a-f2c2337abc1
    lineItemId:
      name: lineItemId
      in: path
      description: Line item ID
      required: true
      schema:
        type: string
        example: d7e78a21-bee3-4448-bf1c-d5b5461dbda2
    adjustmentId:
      name: adjustmentId
      in: path
      description: Price adjustment identifier
      required: true
      schema:
        type: string
        example: d7e78a21-bee3-4448-bf1c-d5b5461dbda2
    xFabricTenantId:
      in: header
      name: x-fabric-tenant-id
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      schema:
        type: string
      example: 617329dfd5288b0011332311
      required: true
    xFabricChannelId:
      in: header
      name: x-fabric-channel-id
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
      schema:
        type: string
      example: '12'
      required: false
    xFabricRequestId:
      in: header
      name: x-fabric-request-id
      description: Unique request ID
      schema:
        type: string
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
  schemas:
    priceAdjustmentPayload:
      description: Price adjustment details
      required:
        - amount
        - reason
      type: object
      properties:
        amount:
          type: number
          description: >-
            Amount to be adjusted with the specified line item's total amount or
            with a specified cart's total amount
          format: double
          example: 60.5
        reason:
          type: string
          description: Price adjustment reason
          example: CSR Adjustment
        attributes:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
          description: Placeholder for additional information
          nullable: true
          example:
            productFamily: Laptop computers
    priceAdjustment:
      description: >-
        Price adjustment details for the specified line item or the specified
        cart
      required:
        - id
        - amount
        - reason
      type: object
      properties:
        id:
          type: string
          description: >-
            Price adjustment ID; it identifies a single price adjustment object
            within the price adjustments array.
          example: c695af14-5e33-402c-9d8d-71edcf4856a8
          nullable: false
        amount:
          type: number
          description: >-
            Amount by which the line item's total amount or the specified cart's
            total amount is adjusted
          format: double
          example: 60.5
        reason:
          type: string
          description: Price adjustment reason
          example: CSR Adjustment
        attributes:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
          description: Placeholder for additional information
          nullable: true
          example:
            productFamily: Laptop computers
        createdAt:
          allOf:
            - $ref: '#/components/schemas/baseTime'
            - description: Time cart was created
              nullable: true
        updatedAt:
          allOf:
            - $ref: '#/components/schemas/baseTime'
            - description: Time cart was last updated
              nullable: true
    error400:
      type: object
      description: Bad request error
      properties:
        type:
          description: Error code
          type: string
          example: BAD_REQUEST
        message:
          description: Error description
          type: string
          example: Bad Request
    error401:
      type: object
      description: Unauthorized
      properties:
        type:
          description: Error code
          type: string
          example: UNAUTHORIZED
        message:
          description: Error description
          type: string
          example: Unauthorized User
    cartNotFound:
      type: object
      description: Cart not found error
      properties:
        type:
          description: Error code
          type: string
          example: NOT_FOUND
        message:
          description: Error description
          type: string
          example: Cart not found
    lineItemNotFound:
      type: object
      description: Line item not found error
      properties:
        type:
          description: Error code
          type: string
          example: NOT_FOUND
        message:
          description: Error description
          type: string
          example: >-
            Line item was not found with id:
            dd23f254-ba28-420c-8dad-fe2f4477fe68
    adjustmentNotFound:
      type: object
      description: Price adjustment not found error
      properties:
        type:
          description: Error code
          type: string
          example: NOT_FOUND
        message:
          description: Error description
          type: string
          example: >-
            Price Adjustment was not found with id:
            dd23f254-ba28-420c-8dad-fe2f4477fe68
    error500:
      type: object
      description: Internal server error
      properties:
        type:
          description: Error code
          type: string
          example: INTERNAL_SERVER_ERROR
        message:
          description: Error description
          type: string
          example: Internal server error
    baseTime:
      description: Date time in ISO-8601 format
      type: string
      format: date-time
      example: '2022-09-06T14:07:17.000Z'
  headers:
    xFabricRequestId:
      description: Unique request ID
      schema:
        type: string
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````